commit:     52ad460f85b5272542f02fb76a27f38fee9801fc
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 11 01:54:11 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Sep 11 02:02:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52ad460f

media-sound/cava: add 0.10.6

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-sound/cava/Manifest           |  1 +
 media-sound/cava/cava-0.10.6.ebuild | 69 +++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/media-sound/cava/Manifest b/media-sound/cava/Manifest
index 687a2a6e93da..a5e5de8393ee 100644
--- a/media-sound/cava/Manifest
+++ b/media-sound/cava/Manifest
@@ -1 +1,2 @@
 DIST cava-0.10.4.tar.gz 426075 BLAKE2B 
b4d8b4669cba86ea08fd62f1206306406ae9197405d1d717f492526a55a032a8599c76e8606bd60cf876c50b7f4338fd2f36a65b626312ef8d0fd7b4e5e453c0
 SHA512 
1f11e3d89465990a026c4cd9e30853967b0ab542b310afe5464f399baec08e769b2bda52d07654eb449adbb66de1a6db721a2cbc90c241193de58b1e12d52259
+DIST cava-0.10.6.tar.gz 443902 BLAKE2B 
8dd13364853351f64d0d371aec6704f0c7f2693897c7ac92af1cd062c8ec52c91c01112bd6ae36b4ab7fcd3a97c1352f72adbfbadb575c063b0374030844c6bc
 SHA512 
e292ea225d3c17ac601711735cb56f52da9c707c7d950af5c38d5f647f70285faa16b240ad5ff211645effb9e8e3928e935f623e307c3d455e3068307d7a4bf1

diff --git a/media-sound/cava/cava-0.10.6.ebuild 
b/media-sound/cava/cava-0.10.6.ebuild
new file mode 100644
index 000000000000..76bef6993397
--- /dev/null
+++ b/media-sound/cava/cava-0.10.6.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Console-based Audio Visualizer for Alsa"
+HOMEPAGE="https://github.com/karlstav/cava/";
+SRC_URI="https://github.com/karlstav/cava/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="MIT Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa jack +ncurses pipewire portaudio pulseaudio sdl sndio"
+
+RDEPEND="
+       >=dev-libs/iniparser-4.2:=
+       sci-libs/fftw:3.0=
+       alsa? ( media-libs/alsa-lib )
+       jack? ( virtual/jack )
+       ncurses? ( sys-libs/ncurses:= )
+       pipewire? ( media-video/pipewire:= )
+       portaudio? ( media-libs/portaudio )
+       pulseaudio? ( media-libs/libpulse )
+       sdl? (
+               media-libs/libglvnd
+               media-libs/libsdl2[opengl,video]
+       )
+       sndio? ( media-sound/sndio:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_configure() {
+       # note: ignoring libcavacore for now, CMakeLists.txt is very limited
+       # and seems only intended to static-only bundle it in other packages
+       # (not to confuse with libcava from https://github.com/LukashonakV/cava)
+
+       local econfargs=(
+               $(use_enable alsa input-alsa)
+               $(use_enable jack input-jack)
+               $(use_enable pipewire input-pipewire)
+               $(use_enable portaudio input-portaudio)
+               $(use_enable pulseaudio input-pulse)
+               $(use_enable sndio input-sndio)
+
+               $(use_enable ncurses output-ncurses)
+               $(use_enable sdl output-sdl)
+               # note: not behind USE=opengl and sdl2[opengl?] given have not 
gotten
+               # normal output-sdl to work without USE=opengl on sdl either way
+               $(use_enable sdl output-sdl_glsl)
+       )
+
+       # autoconf-archive (currently) does not support -lOpenGL for 
libglvnd[-X]
+       use sdl && econfargs+=( GL_LIBS="$($(tc-getPKG_CONFIG) --libs opengl || 
die)" )
+
+       econf "${econfargs[@]}"
+}
+
+pkg_postinst() {
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "A default ~/.config/cava/config will be created after 
initial"
+               elog "use of ${PN}, see it and 
${EROOT}/usr/share/doc/${PF}/README*"
+               elog "for configuring audio input and more."
+       fi
+}

Reply via email to